@import "../global.scss";

$phone: 640px;
$tablet: 769px;
$desktop: 1025px;
$lgDesktop:1441px;
$xlDesktop:1921px;
$xxlDektop:2600px;


@mixin upto-phone {
    @media(max-width: #{$phone}) {
        @content
    }
}

@mixin upto-tablet {
    @media(min-width: #{$phone}) and (max-width: #{$tablet}) {
        @content
    }
}

@mixin small-desktop {
    @media(min-width: #{$tablet}) and (max-width:950px) {
        @content
    }
}

@mixin medium-desktop {
    @media(min-width: 950px) and (max-width: #{$desktop}) {
        @content
    }
}

@mixin large-desktop {
    @media(min-width: #{$desktop}) and (max-width: #{$lgDesktop}) {
        @content
    }
}

@mixin xlarge-desktop {
    @media(min-width: #{$lgDesktop}) and (max-width: #{$xlDesktop}) {
        @content
    }
}

@mixin xxlarge-desktop {
    @media(min-width: #{$xlDesktop}) and (max-width: #{$xxlDektop}) {
        @content
    }
}

@mixin  smallpc {
    @media(max-width: 1300px) {
        @content
    }
    
}
@mixin  afterFourteen {
    @media(min-width: 1470px) {
        @content
    }
    
}